unit LStep4_Demo_main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  LStep4, StdCtrls, Spin, ComCtrls, ExtCtrls;


type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Edit3: TEdit;
    Edit2: TEdit;
    Button5: TButton;
    InterfaceLS: TPageControl;
    ts_RS232: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    cbo_BaudRate: TComboBox;
    cbo_ComPort: TComboBox;
    ts_ISA: TTabSheet;
    Label3: TLabel;
    cbo_IOAddress: TComboBox;
    ts_PCI: TTabSheet;
    Label4: TLabel;
    sed_CardIndex: TSpinEdit;
    Button7: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var BCtrlInitPar: TLS_ControlInitPar;
begin
  LS_SetWriteLogText(True);

  FillChar(BCtrlInitPar, sizeof(TLS_ControlInitPar), 0);
  with BCtrlInitPar do
  begin
    Size := sizeof(TLS_ControlInitPar);
    ShowProt := True;

    if InterfaceLS.ActivePage = ts_RS232 then InterfaceType := 1;
    if InterfaceLS.ActivePage = ts_ISA then InterfaceType := 3;
    if InterfaceLS.ActivePage = ts_PCI then InterfaceType := 4;

    ComName := cbo_ComPort.Text;
    BaudRate := StrToInt(cbo_BaudRate.Text);

    case cbo_IOAddress.ItemIndex of
      0: IOAddress := $0280;
      1: IOAddress := $0300;
      2: IOAddress := $0340;
      3: IOAddress := $4280;
      4: IOAddress := $4300;
      5: IOAddress := $4340;
      6: IOAddress := $8280;
      7: IOAddress := $8300;
      8: IOAddress := $8340;
    end;

    CardIndex := sed_CardIndex.Value;

    ErrorCode := 0;
  end;

  LS_ConnectEx(BCtrlInitPar);

  //  LS_ConnectSimple(1, 'COM1', 57600, True);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  LS_Disconnect();
end;



procedure TForm1.Button5Click(Sender: TObject);
begin
  LS_MoveRel(StrToFloat(Edit1.Text),
                 StrToFloat(Edit2.Text),
                 StrToFloat(Edit3.Text), 0, True);
end;


procedure TForm1.Button7Click(Sender: TObject);
var Timeout: LongBool;
begin
  LS_MoveRelSingleAxis(1, 60, false);
  Sleep(500);
  LS_MoveRelSingleAxis(2, 50, false);
  LS_WaitForAxisStop($03, 0, Timeout);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  cbo_ComPort.ItemIndex := 0;
  cbo_BaudRate.ItemIndex := 3;
end;

end.
