// Headerdatei fr CLStep4X

#ifndef __CLStep4X__
#define __CLStep4X__


/////////////////////////////////////////////////////////////////////////////////////////////
// C-Kapselung fr LStep4X.DLL

const int XAxis = 1;
const int YAxis = 2;
const int ZAxis = 3;
const int AAxis = 4;

#pragma pack(1)
struct TLS_ControlInitPar
{
      int Size;
      int InterfaceType;
      char ComNameLength;
      char ComName[32];
      BOOL ShowProt;
      BOOL ShowCmdList;

      int BaudRate;
      int IOAdress;
      int CardIndex;

      int ControlType;
      char VersionStrLength;
      char VersionStr[64];
      int Axes;
      int ErrorCode;
      BOOL NewCmds;
      int Encoder;
      BOOL Display, SpeedPoti, HandWheel, Snapshot, TVR, TriggerOut;
      BOOL DemoMode;
};
#pragma pack(8)

#pragma pack(1)
struct TLS_ControlInitParW
{
      int Size;
      int InterfaceType;
      TCHAR ComNameW[32];
      BOOL ShowProt;
      BOOL ShowCmdList;

      int BaudRate;
      int IOAdress;
      int CardIndex;

      int ControlType;
      TCHAR VersionStrW[64];
      int Axes;
      int ErrorCode;
      BOOL NewCmds;
      int Encoder;
      BOOL Display, SpeedPoti, HandWheel, Snapshot, TVR, TriggerOut;
      BOOL DemoMode;
};
#pragma pack(8)

typedef int (__stdcall *POpenFenster) ();
typedef int (__stdcall *PCloseFenster) ();

class CLStep4X
{

	int			m_DLLResultat;			// DLL-Zugriff ok
	HINSTANCE	        m_LStep4;	                // Handle auf Dll
	int			m_LSID;			        // DLL-Zugriff ok

        // Zeiger Funktion in DLL
    POpenFenster m_pOpenFenster;
    PCloseFenster m_pCloseFenster;
        

public:
			CLStep4X();
			~CLStep4X();

	int		GetDLLLoadResult() {return m_DLLResultat;}; // Funktion, ob Laden der DLL erfolgreich war.
	// sollte Wert 0 zurckgeben

	// Funktionen der Dll
        int OpenFenster ();
		int CloseFenster ();        
    };

#endif // __CLStep4X__
