
// MyMFCProg.cpp: Definiert das Klassenverhalten fr die Anwendung.
//

#include "stdafx.h"
#include "afxwinappex.h"
#include "afxdialogex.h"
#include "MyMFCProg.h"
#include "MainFrm.h"

#include "ChildFrm.h"
#include "MyMFCProgDoc.h"
#include "MyMFCProgView.h"
#include "LStep4X.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

void CALLBACK OsziCallBackFct(char *pcData, int lMaxLen, int lChannelID);

static CRITICAL_SECTION cs;


struct FehlerPars {   // Declare PERSON struct type
   CLStep4X *Strg;
   TCHAR errText[255][255];  
   int count;
   bool Connected;
}; 

FehlerPars FP;
HWND nWndID;

//TCHAR m_stext[1024];
//CLStep4X* MyLStep;

class CAboutDlg : public CDialogEx
{
public:
	CAboutDlg();

// Dialogfelddaten
	enum { IDD = IDD_ABOUTBOX };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung

// Implementierung
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();	
	afx_msg LRESULT OnMyOwenMessage(WPARAM wParam, LPARAM lParam);		
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
};



CAboutDlg::CAboutDlg() : CDialogEx(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}


// CAboutDlg-Dialogfeld fr Anwendungsbefehl "Info"
#define WM_MYOWENMESSAGE (WM_USER + 100)

BEGIN_MESSAGE_MAP(CAboutDlg, CDialogEx)
	ON_BN_CLICKED(IDOK, &CAboutDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDC_BUTTON1, &CAboutDlg::OnBnClickedButton1)
	ON_BN_CLICKED(IDC_BUTTON2, &CAboutDlg::OnBnClickedButton2)		
	ON_MESSAGE(WM_MYOWENMESSAGE, OnMyOwenMessage)

	ON_BN_CLICKED(IDC_BUTTON3, &CAboutDlg::OnBnClickedButton3)
	ON_BN_CLICKED(IDC_BUTTON4, &CAboutDlg::OnBnClickedButton4)
END_MESSAGE_MAP()


// CMyMFCProgApp

BEGIN_MESSAGE_MAP(CMyMFCProgApp, CWinAppEx)
	ON_COMMAND(ID_APP_ABOUT, &CMyMFCProgApp::OnAppAbout)
	// Dateibasierte Standarddokumentbefehle
	ON_COMMAND(ID_FILE_NEW, &CWinAppEx::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, &CWinAppEx::OnFileOpen)
	// Standarddruckbefehl "Seite einrichten"
	ON_COMMAND(ID_FILE_PRINT_SETUP, &CWinAppEx::OnFilePrintSetup)
	//ON_MESSAGE(WM_MYMESSAGE, OnMyMessage)
END_MESSAGE_MAP()


// CMyMFCProgApp-Erstellung

CMyMFCProgApp::CMyMFCProgApp()
{
	m_bHiColorIcons = TRUE;

	// Neustart-Manager untersttzen
	m_dwRestartManagerSupportFlags = AFX_RESTART_MANAGER_SUPPORT_ALL_ASPECTS;
#ifdef _MANAGED
	// Wenn die Anwendung mit Common Language Runtime-Untersttzung (/clr) erstellt wurde:
	//     1) Diese zustzliche Eigenschaft ist erforderlich, damit der Neustart-Manager ordnungsgem untersttzt wird.
	//     2) Fr die Projekterstellung mssen Sie im Projekt einen Verweis auf System.Windows.Forms hinzufgen.
	System::Windows::Forms::Application::SetUnhandledExceptionMode(System::Windows::Forms::UnhandledExceptionMode::ThrowException);
#endif

	// TODO: Ersetzen Sie die Anwendungs-ID-Zeichenfolge unten durch eine eindeutige ID-Zeichenfolge; empfohlen
	// Das Format fr die Zeichenfolge ist: CompanyName.ProductName.SubProduct.VersionInformation
	SetAppID(_T("MyMFCProg.AppID.NoVersion"));


	// TODO: Hier Code zur Konstruktion einfgen
	// Alle wichtigen Initialisierungen in InitInstance positionieren
}

// Das einzige CMyMFCProgApp-Objekt

CMyMFCProgApp theApp;


// CMyMFCProgApp-Initialisierung

BOOL CMyMFCProgApp::InitInstance()
{
	// InitCommonControlsEx() ist fr Windows XP erforderlich, wenn ein Anwendungsmanifest
	// die Verwendung von ComCtl32.dll Version 6 oder hher zum Aktivieren
	// von visuellen Stilen angibt. Ansonsten treten beim Erstellen von Fenstern Fehler auf.
	INITCOMMONCONTROLSEX InitCtrls;
	InitCtrls.dwSize = sizeof(InitCtrls);
	// Legen Sie dies fest, um alle allgemeinen Steuerelementklassen einzubeziehen,
	// die Sie in Ihrer Anwendung verwenden mchten.
	InitCtrls.dwICC = ICC_WIN95_CLASSES;
	InitCommonControlsEx(&InitCtrls);

	CWinAppEx::InitInstance();
	

	// OLE-Bibliotheken initialisieren
	if (!AfxOleInit())
	{
		AfxMessageBox(IDP_OLE_INIT_FAILED);
		return FALSE;
	}

	AfxEnableControlContainer();

	EnableTaskbarInteraction();

	// AfxInitRichEdit2() ist fr die Verwendung des RichEdit-Steuerelements erforderlich.	
	// AfxInitRichEdit2();

	// Standardinitialisierung
	// Wenn Sie diese Features nicht verwenden und die Gre
	// der ausfhrbaren Datei verringern mchten, entfernen Sie
	// die nicht erforderlichen Initialisierungsroutinen.
	// ndern Sie den Registrierungsschlssel, unter dem Ihre Einstellungen gespeichert sind.
	// TODO: ndern Sie diese Zeichenfolge entsprechend,
	// z.B. zum Namen Ihrer Firma oder Organisation.
	SetRegistryKey(_T("Vom lokalen Anwendungs-Assistenten generierte Anwendungen"));
	LoadStdProfileSettings(4);  // Standard INI-Dateioptionen laden (einschlielich MRU)


	InitContextMenuManager();

	InitKeyboardManager();

	InitTooltipManager();
	CMFCToolTipInfo ttParams;
	ttParams.m_bVislManagerTheme = TRUE;
	theApp.GetTooltipManager()->SetTooltipParams(AFX_TOOLTIP_TYPE_ALL,
		RUNTIME_CLASS(CMFCToolTipCtrl), &ttParams);

	// Dokumentvorlagen der Anwendung registrieren. Dokumentvorlagen
	//  dienen als Verbindung zwischen Dokumenten, Rahmenfenstern und Ansichten.
	CMultiDocTemplate* pDocTemplate;
	pDocTemplate = new CMultiDocTemplate(IDR_MyMFCProgTYPE,
		RUNTIME_CLASS(CMyMFCProgDoc),
		RUNTIME_CLASS(CChildFrame), // Benutzerspezifischer MDI-Child-Rahmen
		RUNTIME_CLASS(CMyMFCProgView));
	if (!pDocTemplate)
		return FALSE;
	AddDocTemplate(pDocTemplate);

	// Haupt-MDI-Rahmenfenster erstellen
	CMainFrame* pMainFrame = new CMainFrame;
	if (!pMainFrame || !pMainFrame->LoadFrame(IDR_MAINFRAME))
	{
		delete pMainFrame;
		return FALSE;
	}
	m_pMainWnd = pMainFrame;
	// Rufen Sie DragAcceptFiles nur auf, wenn eine Suffix vorhanden ist.
	//  In einer MDI-Anwendung ist dies unmittelbar nach dem Festlegen von m_pMainWnd erforderlich

	// Befehlszeile auf Standardumgebungsbefehle berprfen, DDE, Datei ffnen
	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);



	// Verteilung der in der Befehlszeile angegebenen Befehle. Gibt FALSE zurck, wenn
	// die Anwendung mit /RegServer, /Register, /Unregserver oder /Unregister gestartet wurde.
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;
	// Das Hauptfenster ist initialisiert und kann jetzt angezeigt und aktualisiert werden.
	pMainFrame->ShowWindow(m_nCmdShow);
	pMainFrame->UpdateWindow();		
	
	InitializeCriticalSection(&cs);
	FP.Strg = NULL;
	FP.Strg = new CLStep4X();
	FP.count = 0;
	FP.Connected = false;

	return TRUE;
}

int CMyMFCProgApp::ExitInstance()
{

	if(FP.Strg)
	{
		if (FP.Connected) FP.Strg->Disconnect();
		delete FP.Strg;
	}
	DeleteCriticalSection(&cs);

	//TODO: Zustzliche Ressourcen behandeln, die Sie mglicherweise hinzugefgt haben
	AfxOleTerm(FALSE);

	return CWinAppEx::ExitInstance();
}

// CMyMFCProgApp-Meldungshandler



// Anwendungsbefehl zum Ausfhren des Dialogfelds
void CMyMFCProgApp::OnAppAbout()
{
	CAboutDlg aboutDlg;	
	aboutDlg.DoModal();	
}

// CMyMFCProgApp Methoden zum Laden/Speichern von Anpassungen

void CMyMFCProgApp::PreLoadState()
{
	BOOL bNameValid;
	CString strName;
	bNameValid = strName.LoadString(IDS_EDIT_MENU);
	ASSERT(bNameValid);
	GetContextMenuManager()->AddMenu(strName, IDR_POPUP_EDIT);
	bNameValid = strName.LoadString(IDS_EXPLORER);
	ASSERT(bNameValid);
	GetContextMenuManager()->AddMenu(strName, IDR_POPUP_EXPLORER);
}

void CMyMFCProgApp::LoadCustomState()
{
}

void CMyMFCProgApp::SaveCustomState()
{
}

// CMyMFCProgApp-Meldungshandler


void CALLBACK OsziCallBackFct(char *pcData, int lMaxLen, int lChannelID)
{    
  if (lChannelID == 2){ 

    while (TryEnterCriticalSection == false);
	_tcscpy(FP.errText[FP.count], CString(pcData, lMaxLen));
	FP.count++;
	LeaveCriticalSection(&cs);				
	PostMessageW(nWndID, WM_MYOWENMESSAGE, WPARAM(&FP), 0); 
  }  
}

LRESULT CAboutDlg::OnMyOwenMessage(WPARAM wParam, LPARAM lParam)
{   
	TCHAR str[255];
	TCHAR strTranslated[255];
	CLStep4X *LS;
	int i;
	
	FehlerPars *FPars;
	FPars = (FehlerPars*)wParam;
	LS = FPars->Strg;

	while (TryEnterCriticalSection == false); 	

	CStringArray StrArrTemp;
	for(i=0;i<FPars->count;i++)
		StrArrTemp.Add(FPars->errText[0]);

	FPars->count = 0;
	LeaveCriticalSection(&cs);	
	
	for(i=0;i<StrArrTemp.GetCount();i++)
	{
		LS->TranslateErrMsg(((CString)StrArrTemp.GetAt(i)).GetBuffer(0), strTranslated, 255);
		((CListBox*)GetDlgItem(IDC_LIST_MESSAGE))->AddString(strTranslated);	
	}
 	return 0;

}


void CAboutDlg::OnBnClickedOk()
{
	// TODO: Fgen Sie hier Ihren Kontrollbehandlungscode fr die Benachrichtigung ein.
	CDialogEx::OnOK();
}

void CAboutDlg::OnBnClickedButton1()
{
	// TODO: Fgen Sie hier Ihren Kontrollbehandlungscode fr die Benachrichtigung ein.	
	char *s  = "com5";	
	char *ret = "----------";

	nWndID = m_hWnd;

    int nRe = FP.Strg->ConnectSimple(5, s, 115200, true);	
	if (nRe==0) FP.Connected = true;
	FP.Strg->SetOsziCallBackFct(OsziCallBackFct);	
	FP.Strg->SendString("!errorchannel 2\r", 0, 0, false, 1000);		
}

void CAboutDlg::OnBnClickedButton2()
{
	// TODO: Fgen Sie hier Ihren Kontrollbehandlungscode fr die Benachrichtigung ein.	
	FP.Connected = false;
	FP.Strg->Disconnect();
}




void CAboutDlg::OnBnClickedButton3()
{
	// TODO: Fgen Sie hier Ihren Kontrollbehandlungscode fr die Benachrichtigung ein.
	double x, y, z, a;
	if (FP.Connected) FP.Strg->GetPos(&x, &y, &z, &a);
}


void CAboutDlg::OnBnClickedButton4()
{
	// TODO: Fgen Sie hier Ihren Kontrollbehandlungscode fr die Benachrichtigung ein.
	if (FP.Connected) FP.Strg->SendString("!Pomes mit Wuerstchen\r", 0, 0, false, 1000);
}
